{% extends "base.html" %}
{% load alarme_utils %}

{% block title %}Visites par le bénévole{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'benevoles' 'alarme' %}">Bénévoles</a></li>
<li class="breadcrumb-item"><a href="{% url 'benevole-edit' 'alarme' benevole.pk %}">{{ benevole.get_full_name }}</a></li>
<li class="breadcrumb-item active" aria-current="page">Visites</li>
{% endblock %}

{% block content %}
    {% include 'benevole/benevole_tabs.html' with active='visites' %}

    <h2>Clients alarme à visiter ({{ a_visiter|length }})</h2>

    <table class="table client_list">
        <thead class="sticky">
            <tr>
                <th>Nom</th><th>Adresse</th><th>Localité</th><th>Téléphone-s</th><th>Date de naissance</th><th>Dernière visite/interv.</th>
            </tr>
        </thead>
        <tbody>
        {% for client in a_visiter %}
            <tr{% if client|visite_a_faire %} class="afaire"{% endif %}>
                <td><a href="{% url 'client-edit' client.pk %}">{{ client.noms }}</a> {{ client.prenoms }}</td>
                <td>{{ client.rue }}</td>
                <td>{{ client.npa }} {{ client.localite }}</td>
                <td class="tels">{{ client.tel_1|as_tel }} {% if client.tel_2 %}<br>{{ client.tel_2|as_tel }}{% endif %}</td>
                <td>{{ client.date_naissance|date:'d.m.Y' }}</td>
                <td>{{ client.derniere|date:'d.m.Y' }}</td>
            </tr>
        {% empty %}
            <tr><td colspan="5"><i>Aucun client à visiter n’est actuellement attribué.</i></td></tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
